# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/comment.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from atlas.api import content_info_pb2 as atlas_dot_api_dot_content__info__pb2
from weclikd.common import page_info_pb2 as weclikd_dot_common_dot_page__info__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/comment.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x17\x61tlas/api/comment.proto\x12\x07weclikd\x1a\x1c\x61tlas/api/content_info.proto\x1a\x1eweclikd/common/page_info.proto\"\xd8\x01\n\x10\x44iscussionFilter\x12\x15\n\rthread_length\x18\x01 \x01(\r\x12\x13\n\x0bnum_replies\x18\x02 \x01(\r\x12,\n\x04sort\x18\x03 \x01(\x0e\x32\x1e.weclikd.DiscussionFilter.Sort\x12\x0e\n\x06\x63ursor\x18\x04 \x01(\t\x12\x10\n\x08\x63lik_ids\x18\x05 \x03(\x04\"H\n\x04Sort\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0c\n\x08TRENDING\x10\x01\x12\x0c\n\x08REPORTED\x10\x02\x12\x07\n\x03NEW\x10\x03\x12\x0e\n\nDISCUSSING\x10\x04\"\x9b\x01\n\x07\x43omment\x12*\n\x0c\x63ontent_info\x18\x01 \x01(\x0b\x32\x14.weclikd.ContentInfo\x12\x19\n\x11parent_content_id\x18\x02 \x01(\x04\x12\'\n\ndiscussion\x18\x03 \x01(\x0b\x32\x13.weclikd.Discussion\x12\x0c\n\x04\x63lik\x18\x04 \x01(\t\x12\x12\n\nthread_ids\x18\x05 \x03(\x04\"a\n\nDiscussion\x12\"\n\x08\x63omments\x18\x01 \x03(\x0b\x32\x10.weclikd.Comment\x12/\n\x14\x64iscussion_page_info\x18\x02 \x01(\x0b\x32\x11.weclikd.PageInfob\x06proto3'
  ,
  dependencies=[atlas_dot_api_dot_content__info__pb2.DESCRIPTOR,weclikd_dot_common_dot_page__info__pb2.DESCRIPTOR,])



_DISCUSSIONFILTER_SORT = _descriptor.EnumDescriptor(
  name='Sort',
  full_name='weclikd.DiscussionFilter.Sort',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='TRENDING', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='REPORTED', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='NEW', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='DISCUSSING', index=4, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=243,
  serialized_end=315,
)
_sym_db.RegisterEnumDescriptor(_DISCUSSIONFILTER_SORT)


_DISCUSSIONFILTER = _descriptor.Descriptor(
  name='DiscussionFilter',
  full_name='weclikd.DiscussionFilter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='thread_length', full_name='weclikd.DiscussionFilter.thread_length', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='num_replies', full_name='weclikd.DiscussionFilter.num_replies', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='sort', full_name='weclikd.DiscussionFilter.sort', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cursor', full_name='weclikd.DiscussionFilter.cursor', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_ids', full_name='weclikd.DiscussionFilter.clik_ids', index=4,
      number=5, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _DISCUSSIONFILTER_SORT,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=99,
  serialized_end=315,
)


_COMMENT = _descriptor.Descriptor(
  name='Comment',
  full_name='weclikd.Comment',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_info', full_name='weclikd.Comment.content_info', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='parent_content_id', full_name='weclikd.Comment.parent_content_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion', full_name='weclikd.Comment.discussion', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik', full_name='weclikd.Comment.clik', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thread_ids', full_name='weclikd.Comment.thread_ids', index=4,
      number=5, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=318,
  serialized_end=473,
)


_DISCUSSION = _descriptor.Descriptor(
  name='Discussion',
  full_name='weclikd.Discussion',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='comments', full_name='weclikd.Discussion.comments', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion_page_info', full_name='weclikd.Discussion.discussion_page_info', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=475,
  serialized_end=572,
)

_DISCUSSIONFILTER.fields_by_name['sort'].enum_type = _DISCUSSIONFILTER_SORT
_DISCUSSIONFILTER_SORT.containing_type = _DISCUSSIONFILTER
_COMMENT.fields_by_name['content_info'].message_type = atlas_dot_api_dot_content__info__pb2._CONTENTINFO
_COMMENT.fields_by_name['discussion'].message_type = _DISCUSSION
_DISCUSSION.fields_by_name['comments'].message_type = _COMMENT
_DISCUSSION.fields_by_name['discussion_page_info'].message_type = weclikd_dot_common_dot_page__info__pb2._PAGEINFO
DESCRIPTOR.message_types_by_name['DiscussionFilter'] = _DISCUSSIONFILTER
DESCRIPTOR.message_types_by_name['Comment'] = _COMMENT
DESCRIPTOR.message_types_by_name['Discussion'] = _DISCUSSION
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

DiscussionFilter = _reflection.GeneratedProtocolMessageType('DiscussionFilter', (_message.Message,), {
  'DESCRIPTOR' : _DISCUSSIONFILTER,
  '__module__' : 'atlas.api.comment_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DiscussionFilter)
  })
_sym_db.RegisterMessage(DiscussionFilter)

Comment = _reflection.GeneratedProtocolMessageType('Comment', (_message.Message,), {
  'DESCRIPTOR' : _COMMENT,
  '__module__' : 'atlas.api.comment_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Comment)
  })
_sym_db.RegisterMessage(Comment)

Discussion = _reflection.GeneratedProtocolMessageType('Discussion', (_message.Message,), {
  'DESCRIPTOR' : _DISCUSSION,
  '__module__' : 'atlas.api.comment_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Discussion)
  })
_sym_db.RegisterMessage(Discussion)


# @@protoc_insertion_point(module_scope)
